"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/globals.ts
var require_globals = __commonJS({
  "src/globals.ts"() {
    "use strict";
    globalThis.process ||= { env: Netlify.env.toObject() };
  }
});

// src/index.ts
var src_exports = {};
__export(src_exports, {
  config: () => config,
  createRequestHandler: () => createRequestHandler,
  handleRequest: () => handleRequest
});
module.exports = __toCommonJS(src_exports);
var import_globals = __toESM(require_globals());

// src/server.ts
var import_remix_runtime = require("@netlify/remix-runtime");
function createRequestHandler({
  build,
  mode,
  getLoadContext
}) {
  const remixHandler = (0, import_remix_runtime.createRequestHandler)(build, mode);
  const assetPath = build.assets.url.split("/").slice(0, -1).join("/");
  return async (request, context) => {
    const { pathname } = new URL(request.url);
    if (pathname.startsWith(`${assetPath}/`)) {
      return;
    }
    try {
      const loadContext = await (getLoadContext == null ? void 0 : getLoadContext(request, context)) || context;
      const response = await remixHandler(request, loadContext);
      response.headers.set("x-nf-runtime", "Edge");
      if (response.status === 404) {
        const originResponse = await context.next({
          sendConditionalRequest: true
        });
        if (originResponse.status !== 404) {
          return originResponse;
        }
      }
      return response;
    } catch (error) {
      console.error(error);
      return new Response("Internal Error", { status: 500 });
    }
  };
}

// src/defaultRemixConfig.ts
var config = {
  server: "./server.ts",
  ignoredRouteFiles: ["**/.*"],
  serverBuildPath: ".netlify/edge-functions/server.js",
  serverConditions: ["deno", "worker"],
  serverDependenciesToBundle: "all",
  serverMainFields: ["module", "main"],
  serverModuleFormat: "esm",
  serverPlatform: "neutral"
};

// src/entry.server.tsx
var import_react = require("@remix-run/react");
var import_isbot = require("isbot");
var ReactDOMServer = __toESM(require("react-dom/server"));
var import_jsx_runtime = require("react/jsx-runtime");
async function handleRequest(request, responseStatusCode, responseHeaders, remixContext, loadContext) {
  const body = await ReactDOMServer.renderToReadableStream(/* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_react.RemixServer, { context: remixContext, url: request.url }), {
    signal: request.signal,
    onError(error) {
      console.error(error);
      responseStatusCode = 500;
    }
  });
  if ((0, import_isbot.isbot)(request.headers.get("user-agent") || "")) {
    await body.allReady;
  }
  responseHeaders.set("Content-Type", "text/html");
  return new Response(body, {
    headers: responseHeaders,
    status: responseStatusCode
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  config,
  createRequestHandler,
  handleRequest
});
